<template>
    <singular-refinement-list
        attribute="dictionary"
        operator="or"
    >
        <ul class="tabs__light tabs__header" slot-scope="{ refine }">
            <li :class="item === currentRefinement ? 'tab__selected' : null"
                v-for="item in items"
                :key="item.value"
            >
                <span
                    :style="{ fontWeight: item === currentRefinement ? 'bold' : '' }"
                    @click="refine(item.name); onRefinementClick(item)"
                    class="tab-link"
                >{{ item.name }}</span>
            </li>
        </ul>
    </singular-refinement-list>
</template>
<script>
export default {
    props: ['items', 'currentRefinement'],
    methods: {
        onRefinementClick(item) {
            this.$emit('refinement-click', item);
        },
    },
};
</script>
<style>
ul.tabs__header {
    display: block;
    list-style: none;
    margin: 0 0 0 20px;
    padding: 0;
}

ul.tabs__header > li {
    border-radius: 10px;
    display: inline-flex;
    cursor: pointer;
    margin-left: 1rem;
}

ul.tabs__header > li.tab__selected {
    font-weight: bold;
    border-radius: 10px 10px 0 0;
    border-bottom: 8px solid transparent;
}

.tabs__light li {
    background-color: #ddd;
    color: #aaa;
}

.tabs__light li.tab__selected {
    background-color: #fff;
}

.tab-content {
    background-color: white;
    border-radius: 10px;
    padding: 1rem;
}

.tab-link {
    color: #000000;
    padding: 15px 30px;
    user-select: none;
}
</style>
